﻿using System.ComponentModel;

namespace Hotline.Share.Dtos.JudicialManagement
{
    public class EmDepartmentalProcessingStatisticsDto
    {
        public string OrgCode { get; set; }
        public string OrgName { get; set; }
        public int CountNum { get; set; }
        public int TheClueIsTrue { get; set; }
        public int TheClueIsNotTrue { get; set; }
        public int EnforcementOrder { get; set; }
    }

    public class RegionalClassificationStatisticsDto
    {
        public string AreaCode { get; set; }
        public string AreaName { get; set; }
        public int OrderCountNum { get; set; }
        public int TheClueIsTrue { get; set; }
        public int TheClueIsNotTrue { get; set; }
        public int EnforcementOrder { get; set; }
    }

    public class IndustryOrderStaticsDto
    {
        /// <summary>
        /// 行业名称
        /// </summary>
        [Description("行业名称")]
        public string IndustryName { get; set; }

        /// <summary>
        /// 办件总量
        /// </summary>
        [Description("办件总量")]
        public int TotalOrderCount { get; set; }

        /// <summary>
        /// 执法类工单
        /// </summary>
        [Description("执法类工单")]
        public int EnforcementOrderCount { get; set; }

        /// <summary>
        /// 非执法类工单
        /// </summary>
        [Description("非执法类工单")]
        public int NotEnforcementOrderCount { get; set; }

        /// <summary>
        /// 待核实订单
        /// </summary>
        [Description("待核实订单")]
        public int ToBeVerifiedOrderCount { get; set; }
    }
}
